Skip to main content

Search for Customer objects matching the supplied search criteria

GET 

/v1/customers/search

Search for Customer objects matching the supplied search criteria:

Currently, only search by firstName, lastName, public id and externalId/cardNumber is implemented.

    • Search by field: /search?lastName=Simpson
    • Search by related object: Not applicable to Customer since the Customer object has no direct relationships with any other entities.

Responses​

A Json object of com.qmatic.qp.calendar.rest.dto.CustomerDTO